CONVERT_COORDS(1)

NAME
convert_coords - converts coordinates of features in a GFF file according to a multiple alignment

DESCRIPTION
Converts coordinates of features in a GFF file according to a multiple alignment. Will map from the coordinate system of any sequence to any other sequence; can also map to or from the coordinate system of the entire alignment. In addition, supports translation of coordinates by specified offset.

OPTIONS

-m <msa_fname>
    (required) Name of file in which alignment is defined.

-f <gff_fname>
    (required) Name of file in which features are defined (GFF).

-s <src_frame>
    Index of frame of reference for feature coordinates, as defined in the GFF file. Use an integer 1-N (if N seqs) or 0 to indicate the coordinate system of the alignment as a whole. Default behavior is to match features with alignment sequences by name (feature by feature). -d <dest_frame> Index of destination frame of reference. Default is 0 (whole MSA). -p <coord_off> Positive coordinate offset. This value will be added to all coordinates. Useful when the alignment (or sequence) for which the coordinates are specified is a sub-alignment of yours. -n <coord_off> Negative coordinate offset. This value will be subtracted from all coordinates. Useful when your alignment is a sub-alignment of the alignment (or sequence) for which the coordinates are specified. -i FASTA|PHYLIP|MPM|SS Alignment format. Default is to guess format from file contents